Bug 736427 - Need Documentation Updated for ISO Download Procedure
Summary: Need Documentation Updated for ISO Download Procedure
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: Documentation
Version: 2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Lana Brindley
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-07 16:38 UTC by Chris Morgan
Modified: 2013-10-23 23:25 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-10 03:51:13 UTC


Attachments (Terms of Use)
Add Subscriptions Pic (115.52 KB, image/png)
2011-09-07 16:38 UTC, Chris Morgan
no flags Details
Create Consumer Pic (63.92 KB, image/png)
2011-09-07 16:38 UTC, Chris Morgan
no flags Details
Create Success Pic (92.63 KB, image/png)
2011-09-07 16:39 UTC, Chris Morgan
no flags Details
Download Cert Pic (131.35 KB, image/png)
2011-09-07 16:39 UTC, Chris Morgan
no flags Details
RHSM Overview Pic (136.63 KB, image/png)
2011-09-07 16:40 UTC, Chris Morgan
no flags Details
download entitlements after adding new subscription (64.53 KB, image/png)
2011-09-29 10:21 UTC, Sachin Ghai
no flags Details

Description Chris Morgan 2011-09-07 16:38:18 UTC
Created attachment 521939 [details]
Add Subscriptions Pic

Due to a change in how customers get their entitlements, we need to update the documentation to include a how-to for getting the entitlement (see attached screen shots), and then change the "wget" commands to reflect adding the --no-check-certificate flag and removing the --ca-certificate and --private-key flags.

Comment 1 Chris Morgan 2011-09-07 16:38:54 UTC
Created attachment 521940 [details]
Create Consumer Pic

Comment 2 Chris Morgan 2011-09-07 16:39:17 UTC
Created attachment 521941 [details]
Create Success Pic

Comment 3 Chris Morgan 2011-09-07 16:39:39 UTC
Created attachment 521942 [details]
Download Cert Pic

Comment 4 Chris Morgan 2011-09-07 16:40:07 UTC
Created attachment 521943 [details]
RHSM Overview Pic

Comment 5 Lana Brindley 2011-09-07 20:39:05 UTC
Hi Chris,

What version does this apply to?

LKB

Comment 6 Chris Morgan 2011-09-07 20:49:55 UTC
Hi Lana,

2.0

Cheers,
Chris

Comment 7 Lana Brindley 2011-09-07 21:08:21 UTC
(In reply to comment #6)
> Hi Lana,
> 
> 2.0
> 
> Cheers,
> Chris

On to it.

L

Comment 12 Amanda Carter 2011-09-22 20:46:45 UTC
Sorry Lana, we just did a release. You should be good to go now.

Comment 13 Lana Brindley 2011-09-23 04:29:13 UTC
Revision 2-6. Please review on the stage for accuracy.

LKB

Comment 15 Sachin Ghai 2011-09-29 10:16:58 UTC
I verified the entitlement section in stage using:
http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Update_Infrastructure/2.0/html/Installation_Guide/sect-Installation_Guide-Installation_Requirements-Entitlements.html

All steps with screenshots are clear. I tried them as well and generated the entitlements as RHUI consumers.

I'll attach the screenshot in next comment.

Comment 16 Sachin Ghai 2011-09-29 10:21:15 UTC
Created attachment 525514 [details]
download entitlements after adding new  subscription

Comment 17 Sachin Ghai 2011-09-29 10:31:32 UTC
Lana, one more change is required. Now we need to change the procedure to download the iso in next section "2.3 Package Installation"

After generating the entitlement certs from Red Hat customer portal, customer can download the iso by using:

 wget --certificate=<generated entitlement certs in section 2.2> https://cdn.redhat.com/content/dist/rhel/rhui/server/6/6Server/x86_64/rhui/2.0/iso/RHEL-6.1-RHUI-2.0-20110727.2-Server-x86_64-DVD1.iso --no-check-certificate


As per defect description, here no need to pass --ca-certificate and --private-key flags.


I tested this manually and this command is working for me:

-------
[root@dhcp201-136 rhui-rhqe]# wget --certificate=/root/69983911523560.pem  https://cdn.redhat.com/content/dist/rhel/rhui/server/6/6Server/x86_64/rhui/2.0/iso/RHEL-6.1-RHUI-2.0-20110727.2-Server-x86_64-DVD1.iso --no-check-certificate
--2011-09-29 15:38:23--  https://cdn.redhat.com/content/dist/rhel/rhui/server/6/6Server/x86_64/rhui/2.0/iso/RHEL-6.1-RHUI-2.0-20110727.2-Server-x86_64-DVD1.iso
Resolving cdn.redhat.com... 173.222.200.251
Connecting to cdn.redhat.com|173.222.200.251|:443... connected.
WARNING: cannot verify cdn.redhat.com’s certificate, issued by “/C=US/ST=North Carolina/O=Red Hat, Inc./OU=Red Hat Network/CN=Red Hat Entitlement Operations Authority/emailAddress=ca-support@redhat.com”:
  Unable to locally verify the issuer’s authority.
HTTP request sent, awaiting response... 200 OK
Length: 64276480 (61M) [application/octet-stream]
Saving to: “RHEL-6.1-RHUI-2.0-20110727.2-Server-x86_64-DVD1.iso”

 0% [      

------


Chris, I think this is how you want to update the ISO download procedure.

Comment 18 Chris Morgan 2011-09-30 17:11:52 UTC
Correct, Sachin.  I just looked at staging, and the wget has still not been updated.  We need to do that before publishing.

Cheers,
Chris

Comment 19 Chris Morgan 2011-09-30 21:34:50 UTC
Lana,

We also need to add a line that says, "Make sure you have already activated your subscription.  If you have issues, then please contact Customer Service at Red Hat."  It looks like we pick up from the "subscription has already been activated step".

Cheers,
Chris

Comment 20 Lana Brindley 2011-10-02 20:03:09 UTC
(In reply to comment #17)
> Lana, one more change is required. Now we need to change the procedure to
> download the iso in next section "2.3 Package Installation"
> 
> After generating the entitlement certs from Red Hat customer portal, customer
> can download the iso by using:
> 
>  wget --certificate=<generated entitlement certs in section 2.2>
> https://cdn.redhat.com/content/dist/rhel/rhui/server/6/6Server/x86_64/rhui/2.0/iso/RHEL-6.1-RHUI-2.0-20110727.2-Server-x86_64-DVD1.iso
> --no-check-certificate
> 
> 
> As per defect description, here no need to pass --ca-certificate and
> --private-key flags.
> 
> 
> I tested this manually and this command is working for me:
> 
> -------
> [root@dhcp201-136 rhui-rhqe]# wget --certificate=/root/69983911523560.pem 
> https://cdn.redhat.com/content/dist/rhel/rhui/server/6/6Server/x86_64/rhui/2.0/iso/RHEL-6.1-RHUI-2.0-20110727.2-Server-x86_64-DVD1.iso
> --no-check-certificate
> --2011-09-29 15:38:23-- 
> https://cdn.redhat.com/content/dist/rhel/rhui/server/6/6Server/x86_64/rhui/2.0/iso/RHEL-6.1-RHUI-2.0-20110727.2-Server-x86_64-DVD1.iso
> Resolving cdn.redhat.com... 173.222.200.251
> Connecting to cdn.redhat.com|173.222.200.251|:443... connected.
> WARNING: cannot verify cdn.redhat.com’s certificate, issued by “/C=US/ST=North
> Carolina/O=Red Hat, Inc./OU=Red Hat Network/CN=Red Hat Entitlement Operations
> Authority/emailAddress=ca-support@redhat.com”:
>   Unable to locally verify the issuer’s authority.
> HTTP request sent, awaiting response... 200 OK
> Length: 64276480 (61M) [application/octet-stream]
> Saving to: “RHEL-6.1-RHUI-2.0-20110727.2-Server-x86_64-DVD1.iso”
> 
>  0% [      
> 
> ------
> 
> 
> Chris, I think this is how you want to update the ISO download procedure.

<procedure id="proc-Installation_Guide-Package_Installation-Installing_the_RHUI_packages">
	<title>Installing the &RHUI; packages</title>
	 <para>
		This section outlines the package installation procedure only. Configuration is performed using the RHUI Installer, as described in <xref linkend="chap-Installation_Guide-RHUI_Installer" />.
	</para>
	 <para>
		 You must have the &RHUI; ISO and an appropriate content certificate, provided by &RH;, in order to install &RHUI;. Ensure the ISO is accessible from all machines and networks that will need to be connected to &RHUI;. Instructions for downloading a content certificate are in <xref linkend="sect-Installation_Guide-Installation_Requirements-Entitlements" />. 
	</para>
	 <step>
		<para>
			Download the ISO by running the <command>wget</command> command.
		</para>
		 <para>
			For 32-bit architectures:
		</para>
		 
<screen>
$ wget  --certificate=&lt;Content Certificate&gt;\
https://cdn.redhat.com/content/dist/rhel/rhui/server/6/6Server/i386/rhui/2.0/iso/RHEL-6.1-RHUI-2.0-20110727.2-Server-x86_64-DVD1.iso --no-check-certificate
</screen>
		 <para>
			For 64-bit architectures:
		</para>
				 
<screen>
$ wget  --certificate=&lt;Content Certificate&gt;\
https://cdn.redhat.com/content/dist/rhel/rhui/server/6/6Server/x86_64/rhui/2.0/iso/RHEL-6.1-RHUI-2.0-20110727.2-Server-x86_64-DVD1.iso --no-check-certificate
</screen>
	</step>

Revision 2-8

LKB

Comment 21 Lana Brindley 2011-10-02 20:03:54 UTC
(In reply to comment #19)
> Lana,
> 
> We also need to add a line that says, "Make sure you have already activated
> your subscription.  If you have issues, then please contact Customer Service at
> Red Hat."  It looks like we pick up from the "subscription has already been
> activated step".
> 
> Cheers,
> Chris

<note>
	<title>Note</title>
	<para>
		Ensure you have activated you subscription before attempting to download entitlements from the customer portal. For help with activating your subscription, contact Red Hat Customer Service.
	</para>
</note>

Revision 2-8

LKB


Note You need to log in before you can comment on or make changes to this bug.